Transfer a Domain
Transfers a custom domain from its current project to another project in the same store. The source project is the {project_uuid} in the path; the destination project is supplied in the request body. The destination project must differ from the source project.
Authentication
X-Auth-Tokenstring
### OAuth scopes
| UI Name | Permission | Parameter |
|:--------|:-----------|:----------|
| Infrastructure Deployments | read-only | `store_infrastructure_deployments_read_only` |
| Infrastructure Deployments | create preview | `store_infrastructure_deployments_create_preview` |
| Infrastructure Deployments | manage | `store_infrastructure_deployments_manage` |
| Infrastructure Projects | read-only | `store_infrastructure_projects_read_only` |
| Infrastructure Projects | manage | `store_infrastructure_projects_manage` |
| Infrastructure Logs | read-only | `store_infrastructure_logs_read_only` |
### Authentication header
| Header | Argument | Description |
|:-------|:---------|:------------|
| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). |
### Further reading
For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests).
For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).
For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
Path parameters
project_uuid
The UUID of the source project the domain is currently bound to.
domain
The custom domain name to transfer.
store_hash
Permanent ID of the BigCommerce store.
Request
This endpoint expects an object.
new_project_uuid
The UUID of the destination project to transfer the domain to. Must differ from the source project in the path.
Response
The domain was transferred successfully. No content is returned.
Errors
400
Bad Request Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error